close

[Solved] Class AMSupportURLConnectionDelegate is implemented in both /usr/lib/libamsupport.dylib

I am trying to run my flutter app in my iPhone simulator But I am facing the following error Class AMSupportURLConnectionDelegate is implemented in both /usr/lib/libamsupport.dylib in Flutter However my app run successfully in android without any error. We are going to Learn about All Possible Solutions So Lets Get Start with This Article.

How This Error Occurs ?

Yesterday I am trying to run my flutter app in my iPhone simulator But I am Facing the following error.

bjc[25282]: Class AMSupportURLConnectionDelegate is implemented in both /usr/lib/libamsupport.dylib (0x203913130) and /Library/Apple/System/Library/PrivateFrameworks/MobileDevice.framework/Versions/A/MobileDevice (0x103bc02c8). One of the two will be used. Which one is undefined. objc[25282]: Class AMSupportURLSession is implemented in both /usr/lib/libamsupport.dylib (0x203913180)

How To Solve Class AMSupportURLConnectionDelegate is implemented in both /usr/lib/libamsupport.dylib Error ?

  1. How To Solve Class AMSupportURLConnectionDelegate is implemented in both /usr/lib/libamsupport.dylib Error ?

    To Solve Class AMSupportURLConnectionDelegate is implemented in both /usr/lib/libamsupport.dylib Error Try to delete all Pods and then reinstall Pods. First of all delete ios/Pods, ios/.symlinks, ios/Flutter/Flutter.framework, ios/Flutter/Flutter.podspec and ios/Podfile manually Or You can Use command line Just put rm -Rf before folder name. For Example rm -Rf ios/Pods. Now, re-install Pods with help of this command. First of all, go to the ios folder. Just run this command: cd ios Then run this command: flutter pub get , pod cache clean –all , pod install Now, Open Your Pods.xcodeproj in your Xcode and Change the iOS Deployment info from 8.0 to 9.0 manually, and now, you are done. Hope Your error should be solved.

  2. Class AMSupportURLConnectionDelegate is implemented in both /usr/lib/libamsupport.dylib

    To Solve Class AMSupportURLConnectionDelegate is implemented in both /usr/lib/libamsupport.dylib Error You Need to run flutter clean but wait First of all delete your Flutter.podspec file from ios/Flutter/Flutter.podspec this PATH and then run flutter clean. First of all, Run This command to delete Flutter.podspec with the command line Or Manually Delete this file: rm ios/Flutter/Flutter.podspec Then Just clean Flutter with this command: flutter clean Now, Your error must be solved. Thank You.

Solution 1: Flutter Clean

You Need to run flutter clean but wait First of all delete your Flutter.podspec file from ios/Flutter/Flutter.podspec this PATH and then run flutter clean.

First of all, Run This command to delete Flutter.podspec with the command line Or Manually Delete this file.

rm ios/Flutter/Flutter.podspec

Then Just clean Flutter with this command.

flutter clean

Now, Your error must be solved. Thank You.

Solution 2: Delete Pods

Try to delete all Pods and then reinstall Pods. First of all delete ios/Pods, ios/.symlinks, ios/Flutter/Flutter.framework, ios/Flutter/Flutter.podspec and ios/Podfile manually Or You can Use command line Just put rm -Rf before folder name. For Example rm -Rf ios/Pods.

Now, re-install Pods with help of this command. First of all, go to the ios folder. Just run this command.

cd ios

Then run this command.

flutter pub get

pod cache clean --all

pod install

Now, Open Your Pods.xcodeproj in your Xcode and Change the iOS Deployment info from 8.0 to 9.0 manually, and now, you are done. Hope Your error should be solved.

Solution 3: Change Deployment info 

You need to change Deployment info Just Follow below step.

  1. First of all Open ios/Pods/Pods.xcodeproj in your Xcode.
  2. Change the iOS Deployment info from 8.0 to 9.0
  3. Now, your error should be solved.

Summary

It’s all About this error. Hope We solved Your error. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you?

Also, Read

2 thoughts on “[Solved] Class AMSupportURLConnectionDelegate is implemented in both /usr/lib/libamsupport.dylib”

Leave a Comment